{% extends '/base.html.twig' %}

{% block icon %}fas fa-key{% endblock %}
{% block title %}Accès de l'utilisateur {{ user.commonName }}{% endblock %}
{% block breadcrumb %}
    <li>Administration technique</li>
    <li><a href="{{ url('admin_user') }}">Utilisateurs</a></li>
    <li class="active">Accès de l'utilisateur {{ user.commonName }}</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
                id="access-user-create"
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('admin_user_access_add', {username: user.username}) }}"
                {% if not user.hasAvailableTenants %}
                    data-title="L'utilisateur a déjà un accès pour tous ses tenants disponibles"
                    data-toggle="tooltip"
                    disabled="disabled"
                {% endif %}
                data-title="Créer un accès"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer un accès
        </button>
    </div>

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des accès"
        }
    ) }}
{% endblock %}


{% block bottomScript %}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    if (jqXHR.getResponseHeader('X-Asalae-Available-Tenants') !== 'true') {
                        let title = "L'utilisateur a déjà un accès pour tous ses tenants disponibles";
                        $('#access-user-create')
                            .attr('title', title)
                            .attr('data-title', title)
                            .disable();
                    }
                }
            );
            table.on(
                'modal_form_delete_success',
                (event, content, jqXHR) => {
                    if (jqXHR.getResponseHeader('X-Asalae-Available-Tenants') === 'true') {
                        $('#access-user-create')
                            .attr('data-title', "")
                            .attr('title', "")
                            .enable();
                    }
                }
            );
        });
    </script>
{% endblock %}
